<?php
// Lexique
$param = 'blog_view';
include('./module/geophoto/lang/'. $this->getData(['config', 'i18n', 'langAdmin']) . '/lex_geophoto.php');

// drapeau pour la langue d'origine ou la langue en traduction rédigée
if( $this->getInput('DELTA_I18N_SITE') === '' || $this->getInput('DELTA_I18N_SITE')=== null || $this->getInput('DELTA_I18N_SITE') === 'base'){
	$flag = $this->getData(['config', 'i18n', 'langBase']);
}
else{
	$flag = $this->getInput('DELTA_I18N_SITE');
}
?>
<?php echo template::formOpen('geophotoTexts'); ?>
	<div class="row">
		<div class="col2">
			<?php echo template::button('geophotoTextsBack', [
				'class' => 'buttonGrey',
				'href' => helper::baseUrl() . $this->getUrl(0). '/config',
				'ico' => 'left',
				'value' => $text['geophoto_view']['texts'][0]
			]); ?>
		</div>
		<div class="col2 offset8">
			<?php echo template::submit('geophotoTextsSubmit',[
				'value' => $text['geophoto_view']['texts'][1]
			]); ?>
		</div>
	</div>
	<div class="row">
		<div class="col12">
			<div class="block">
				<div class="blockTitle"><?php echo $text['geophoto_view']['texts'][2].' '.template::flag($flag, '20px'); ?></div>
				<div class="row">
					<div class="col3">
						<?php echo template::text('geophotoTextsBackButton', [
							'label' => $text['geophoto_view']['texts'][3],
							'value' => $this->getData(['module', $this->getUrl(0), 'config', 'texts', 'backButton'])
						]); ?>
					</div>
					<div class="col3">
						<?php echo template::text('geophotoTextsShowPics', [
							'label' => $text['geophoto_view']['texts'][4],
							'value' => $this->getData(['module', $this->getUrl(0), 'config', 'texts', 'showPics'])
						]); ?>
					</div>
					<div class="col3">
						<?php echo template::text('geophotoTextsNoAlbum', [
							'label' => $text['geophoto_view']['texts'][5],
							'value' => $this->getData(['module', $this->getUrl(0), 'config', 'texts', 'noAlbum'])
						]); ?>
					</div>
					<div class="col3">
						<?php echo template::text('geophotoTextsReinitBDD', [
							'label' => $text['geophoto_view']['texts'][7],
							'value' => $this->getData(['module', $this->getUrl(0), 'config', 'texts', 'reinitBDD'])
						]); ?>
					</div>

				</div>
			</div>
		</div>
	</div>
<?php echo template::formClose(); ?>
<div class="moduleVersion"><?php echo $text['geophoto_view']['texts'][6]; ?>
	<?php echo $module::VERSION; ?>
</div>

